<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-danger px-4 py-2 ml-1" (click)="exportPdf()" [disabled]="!dataGrid.length">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="card">
  <div class="m-1">
    <div class="form-group row">
      <div class="col">
        <button style="white-space: nowrap" class="btn btn-block mt-1" (click)="buscarInfo('todas')"
          [ngClass]="{'btn-outline-secondary': optionFilter !== 'G,N,R,C,U,T', 'btn-secondary':  optionFilter === 'G,N,R,C,U,T' }">
          <i class="fa fa-list-alt mr-2"></i>Todas
        </button>
      </div>
      <div class="col">
        <button style="white-space: nowrap" class="btn btn-block mt-1" (click)="buscarInfo('TC')"
          [ngClass]="{'btn-outline-secondary': optionFilter !== 'T', 'btn-secondary': optionFilter === 'T' }">
          T. Comp.
        </button>
      </div>
      <div class="col">
        <button style="white-space: nowrap" class="btn btn-block mt-1" (click)="buscarInfo('C')"
          [ngClass]="{'btn-outline-secondary': optionFilter !== 'C', 'btn-secondary': optionFilter === 'C' }">
          Cortesías
        </button>
      </div>
      <div class="col">
        <button style="white-space: nowrap" class="btn btn-block mt-1" (click)="buscarInfo('UC')"
          [ngClass]="{'btn-outline-secondary': optionFilter !== 'U', 'btn-secondary': optionFilter === 'U' }">
          Uso Casa
        </button>
      </div>
      <div class="col">
        <button style="white-space: nowrap" class="btn btn-block mt-1"
          [ngClass]="{'btn-outline-secondary': optionFilter !== 'L', 'btn-secondary': optionFilter === 'L' }"
          (click)="buscarInfo('LE')">
          L.E.
        </button>
      </div>
      <div class="col">
        <button style="white-space: nowrap" class="btn btn-block mt-1"
          [ngClass]="{'btn-outline-secondary': optionFilter !== 'CX', 'btn-secondary': optionFilter === 'CX' }"
          (click)="buscarInfo('CXLD')">
          Canceladas
        </button>
      </div>
      <div class="col">
        <button style="white-space: nowrap" class="btn btn-block mt-1"
          [ngClass]="{'btn-outline-secondary': optionFilter !== 'D', 'btn-secondary': optionFilter === 'D' }"
          (click)="buscarInfo('DIA')">
          Día
        </button>
      </div>
      <div class="col">
        <button style="white-space: nowrap" class="btn btn-block mt-1"
          [ngClass]="{'btn-outline-secondary': optionFilter !== 'W', 'btn-secondary': optionFilter === 'W' }"
          (click)="buscarInfo('W')">
          Web PreCheck-In
        </button>
      </div>
      <div class="col">
        <button style="white-space: nowrap" class="btn btn-block mt-1"
          [ngClass]="{'btn-outline-secondary': optionFilter !== 'SN', 'btn-secondary': optionFilter === 'SN' }"
          (click)="buscarInfo('SN')">
          Esp. Cuarto
        </button>
      </div>
      <div class="col">
        <button style="white-space: nowrap" class="btn btn-block mt-1"
          [ngClass]="{'btn-outline-secondary': optionFilter !== 'NS', 'btn-secondary': optionFilter === 'NS' }"
          (click)="buscarInfo('NS')">
          Prefallados
        </button>
      </div>
    </div>

    <div class="row">
      <div class="form-group col-6 col-md-4 col-lg-2 mt-1" *ngIf="fecha">
        <kendo-datepicker [format]="formatKendo" [(ngModel)]="fecha" [min]="fecha" (valueChange)="loading = true;
                          buscarFecha('fecha', $event);
                          deselectKey();" class="w-100">
        </kendo-datepicker>
      </div>
      <div class="form-group col-4 col-md-3 col-lg-2 mt-1">
        <div class="btn-group" role="group">
          <button class="btn btn-light px-4 py-2" (click)="loading = true;buscarFecha('fecha--'); deselectKey();">
            <i class="fa fa-arrow-left"></i>
          </button>
          <button class="btn btn-light px-4 py-2" (click)="loading = true;buscarFecha('fecha++'); deselectKey();">
            <i class="fa fa-arrow-right"></i>
          </button>
        </div>
      </div>
      <div class="form-group col-12 col-md-9 col-lg-6" *ngIf="!consulta">
        <button class="btn btn-light px-4 py-2 mt-1" (click)="checkin('H')" [disabled]="habilitarBotones('checkin')">
          <i class="fas mr-2 text-success" [ngClass]="'Check-In' | icon"></i>Check-In
        </button>
        <button class="btn btn-light px-4 py-2 ml-1 mt-1" [disabled]="habilitarBotones('maestra')"
          (click)="maestra('H')">
          <i class="fas fa-users mr-2 text-warning"></i>Maestra
        </button>
        <button class="btn btn-light px-4 py-2 ml-1 mt-1" [disabled]="!selectedRow || noFolio && noFolio.rtmov === 'G'"
          (click)="bloqueo()">

          <i class="fas fa-lock mr-2 text-danger" [ngClass]="'Bloquear' | icon"></i>Bloquear
        </button>
        <button class="btn btn-light px-4 py-2 ml-1 mt-1" [disabled]="flagEnviando || !selectedRow || uso === 'H'"
          (click)="enviarConf()">
          <i class="fas mr-2 text-info" [ngClass]="'Confirmación' | icon"></i>Confirmación
        </button>
      </div>
      <div class="form-check col-4 col-md-3 col-lg-2 mt-1">
        <div class="custom-control custom-checkbox">
          <input type="checkbox" class="custom-control-input" id="lLog2" name="lLog2" [(ngModel)]="formGeneral.lLog2">
          <label class="custom-control-label cb-big" for="lLog2">Adicionales</label>
        </div>
      </div>
    </div>

    <mat-progress-bar mode="indeterminate" *ngIf="flagEnviando" class="m-1"></mat-progress-bar>

    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [resizable]="true" [navigable]="true"
      [groupable]="false" [reorderable]="true" [pageSize]="pageSize" [sortable]="true" [skip]="skip"
      [pageable]="pageable" filterable="menu" [kendoGridSelectBy]="''" [selectedKeys]="ngFormSelection"
      (selectionChange)="selectRow($event)" (dblclick)="abrirReserv(modalFilter)" (filterChange)="filterChange($event)"
      (sortChange)="deselectKey()" (groupChange)="deselectKey()" #grid style="height: 64vh;">
      <ng-template kendoGridToolbarTemplate>
        <div class="row">
          <div class="col-5 d-flex justify-content-start">
            <button class="btn btn-primary px-4 py-2" (click)="openModal(modalTotales, 'lg')">Totales</button>
            <div class="ml-1 text-white d-flex" *ngIf="selectedRow && selectedRow.cEC.length"
              [ngClass]="{'bg-danger': selectedRow.cEC[0] === 'H', 'bg-success': selectedRow.cEC[0] === 'V', 'bg-warning': selectedRow.cEC[0] === 'L'}">
              <span class="p-2">{{ selectedRow.cEC[0] + ' - ' + selectedRow.cED[0] }}</span>
            </div>
          </div>
          <div class="col d-flex justify-content-start" *ngIf="noFolio">
            <button class="px-4 mx-1" mat-flat-button color="primary" [matBadge]="(espFallar[0] === 'S') ? 1 : null"
              matBadgeColor="warn" [disabled]="uso === 'R'" *ngIf="!consulta" (click)="cuartoEspPF('Esp')">
              <i class="fas fa-clock mr-2"></i>Esp. Cuarto
            </button>
            <button class="px-4 mx-1" mat-flat-button color="primary" [matBadge]="(espFallar[1] === 'S') ? 1 : null"
              matBadgeColor="warn" [disabled]="uso === 'R'" *ngIf="!consulta" (click)="cuartoEspPF('PF')">
              <i class="fas fa-user-times mr-2"></i>Pre Fallar
            </button>
            <button class="px-4 mx-1" mat-flat-button color="primary" [matBadge]="(noFolio.lnotas) ? 1 : null"
              matBadgeColor="warn" (click)="openNotas()">
              <i class="fas mr-2" [ngClass]="'Notas' | icon"></i>Notas
            </button>
          </div>
          <div class="col d-flex justify-content-end">
            <button type="button" class="btn btn-success" kendoGridExcelCommand icon="file-excel">Exportar Grid</button>
          </div>
        </div>
      </ng-template>
      <kendo-grid-column field="tapellido" title="Apellido" width="220"></kendo-grid-column>
      <kendo-grid-column field="tnombre" title="Nombre" width="200"></kendo-grid-column>
      <kendo-grid-column field="tfolio" title="#Folio" width="140" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="tSec" title="Sec." width="90" [filterable]="false" class="text-right">
      </kendo-grid-column>
      <kendo-grid-column field="Agencia" title="Agencia" width="150">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="Grupo" title="Grupo" width="150">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tNgrupo" title="#Grupo" width="150"></kendo-grid-column>
      <kendo-grid-column field="Cuarto" title="Cuarto" width="140"></kendo-grid-column>
      <kendo-grid-column field="tcuarto" title="Tipo Cto." width="160">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="Tarifa" title="Tarifa" width="130">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tTdia" title="Tarifa Día" width="130" [filterable]="false" class="text-right">
      </kendo-grid-column>
      <kendo-grid-column field="treser" title="T.R." width="120">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tNctos" title="Cts." width="90" [filterable]="false" class="text-right">
      </kendo-grid-column>
      <kendo-grid-column field="tNoc" title="Noc." width="90" [filterable]="false" class="text-right">
      </kendo-grid-column>
      <kendo-grid-column field="tFsal" title="Fec. Sal." width="150">
        <ng-template kendoGridCellTemplate let-dataItem>
          {{ dataItem.tFsal | date: formatKendo }}
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tTipo" title="T.T." width="120">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="Proc" title="P" width="80">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="Moneda" title="Mon." width="130">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tEActual" title="E.A." width="130">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tCarac" title="Caract." width="200" [filterable]="false"></kendo-grid-column>
      <kendo-grid-column field="tAdultos" title="Adultos" width="120" [filterable]="false" class="text-right">
      </kendo-grid-column>
      <kendo-grid-column field="tJunior" title="Jun." width="100" [filterable]="false" class="text-right">
      </kendo-grid-column>
      <kendo-grid-column field="tMenores" title="Men." width="100" [filterable]="false" class="text-right">
      </kendo-grid-column>
      <kendo-grid-column field="tMenPag" title="Men. C/C" width="130" [filterable]="false" class="text-right">
      </kendo-grid-column>
      <kendo-grid-column field="estad1" title="Est. 1" width="130">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="estad2" title="Est. 2" width="130">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="estad3" title="Est. 3" width="130">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="estad4" title="Est. 4" width="130">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="estad5" title="Est. 5" width="130">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="estad6" title="Est. 6" width="130">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tMotivo" title="Nota Ult." width="200" [filterable]="false"></kendo-grid-column>
      <kendo-grid-column field="tFecRes" title="Fec. Res." width="160">
        <ng-template kendoGridCellTemplate let-dataItem>
          {{ dataItem.tFecRes | date: formatKendo }}
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tFecUC" title="Fec. U.C." width="160">
        <ng-template kendoGridCellTemplate let-dataItem>
          {{ dataItem.tFecUC | date: formatKendo }}
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tDepPag" title="Depósito" width="120" [filterable]="false" class="text-right">
      </kendo-grid-column>
      <kendo-grid-column field="tFecUD" title="Fecha U.D." width="170">
        <ng-template kendoGridCellTemplate let-dataItem>
          {{ dataItem.tFecUD | date: formatKendo }}
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="Segmento" title="Segmento" width="170">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tConfirmacion" title="Confirmación" width="180"></kendo-grid-column>
      <kendo-grid-column field="tEmail" title="Email" width="250"></kendo-grid-column>
      <kendo-grid-column field="Idioma" title="Idioma" width="140">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tForma" title="Forma" width="120" [filterable]="false"></kendo-grid-column>
      <kendo-grid-column field="Vendedor" title="Vendedor" width="155">
        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
          let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
            [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="tTotal" title="Total Estancia" width="160" [filterable]="false" class="text-right">
      </kendo-grid-column>
      <ng-template kendoGridDetailTemplate let-dataItem *ngIf="dataGrid.length">
        <div class="row">
          <div class="col" *ngIf="dataItem.cCto[0]">
            <p><strong>Cuarto</strong></p>
            <p>
              <strong>{{ dataItem.cCto[0] }}</strong>
              <strong class="ml-2" [ngClass]="{
                'bg-danger': dataItem.cEC[0] === 'H', 'bg-success': dataItem.cEC[0] === 'V', 'bg-warning': dataItem.cEC[0] === 'L'
                }">{{ dataItem.cEC[0] + ' - ' + dataItem.cED[0] }}
              </strong>
              <span class="ml-2">Revisión: {{ dataItem.cER[0] }}</span>
              <span class="ml-2">Botón: {{ dataItem.cEB[0] }}</span>
            </p>
            <p *ngIf="dataItem.cCto[1]">
              <strong>{{ dataItem.cCto[1] }}</strong>
              <strong class="ml-2" [ngClass]="{
                'bg-danger': dataItem.cEC[1] === 'H', 'bg-success': dataItem.cEC[1] === 'V', 'bg-warning': dataItem.cEC[1] === 'L'
                }">{{ dataItem.cEC[1] + ' - ' + dataItem.cED[1] }}
              </strong>
              <span class="ml-2">Revisión: {{ dataItem.cER[1] }}</span>
              <span class="ml-2">Botón: {{ dataItem.cEB[1] }}</span>
            </p>
            <p *ngIf="dataItem.cCto[2]">
              <strong>{{ dataItem.cCto[2] }}</strong>
              <strong class="ml-2" [ngClass]="{
                'bg-danger': dataItem.cEC[2] === 'H', 'bg-success': dataItem.cEC[2] === 'V', 'bg-warning': dataItem.cEC[2] === 'L'
                }">{{ dataItem.cEC[2] + ' - ' + dataItem.cED[2] }}
              </strong>
              <span class="ml-2">Revisión: {{ dataItem.cER[2] }}</span>
              <span class="ml-2">Botón: {{ dataItem.cEB[2] }}</span>
            </p>
          </div>
          <div class="col"
            *ngIf="dataItem.VIPf[0] || dataItem.VIPf[1] || dataItem.VIPf[2] || dataItem.VIPf[3] || dataItem.VIPf[4] || dataItem.VIPf[5]">
            <p><strong>VIP</strong></p>
            <p *ngIf="dataItem.VIPf[0]">
              <strong>{{ dataItem.VIPf[0] }}</strong> - {{ dataItem.cVIPf[0] }}
            </p>
            <p *ngIf="dataItem.VIPf[1]">
              <strong>{{ dataItem.VIPf[1] }}</strong> - {{ dataItem.cVIPf[1] }}
            </p>
            <p *ngIf="dataItem.VIPf[2]">
              <strong>{{ dataItem.VIPf[2] }}</strong> - {{ dataItem.cVIPf[2] }}
            </p>
            <p *ngIf="dataItem.VIPf[3]">
              <strong>{{ dataItem.VIPf[3] }}</strong> - {{ dataItem.cVIPf[3] }}
            </p>
            <p *ngIf="dataItem.VIPf[4]">
              <strong>{{ dataItem.VIPf[4] }}</strong> - {{ dataItem.cVIPf[4] }}
            </p>
            <p *ngIf="dataItem.VIPf[5]">
              <strong>{{ dataItem.VIPf[5] }}</strong> - {{ dataItem.cVIPf[5] }}
            </p>
          </div>
        </div>
      </ng-template>
      <kendo-grid-excel fileName="{{this.heading}}.xlsx" [fetchData]="allData"></kendo-grid-excel>
    </kendo-grid>
  </div>
  <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>
</div>

<!--Modal-->
<ng-template #modalFilter let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h6 class="modal-title">{{ titleHelp }}</h6>
    <button class="close" aria-label="Close" (click)="d('Cross click'); loadHelp = '';">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-notas [noFolio]="noFolio" [uso]="'R'" [consulta]="true" *ngIf="loadHelp === 'N'">
    </app-notas>
    <app-reservacion [folio]="noFolio" [outUso]="uso" [bloqueo]="dataBloqueo" (finally)="finallyEvent($event)"
      *ngIf="loadHelp === 'R'">
    </app-reservacion>
    <app-huesped [llegada]="secuencia" (finally)="finallyEvent($event)" *ngIf="loadHelp === 'H'"></app-huesped>
    <app-help-grupo (grupo)="resultHelp($event.Grupo)" *ngIf="loadHelp === 'G'"></app-help-grupo>
    <app-help-agencia (agencia)="resultHelp($event.Agencia)" *ngIf="loadHelp === 'A'"></app-help-agencia>
    <app-help-empresa (empresa)="resultHelp($event.Empresa)" *ngIf="loadHelp === 'E'"></app-help-empresa>
    <app-help-vip (vip)="resultHelp($event.Vip)" *ngIf="loadHelp === 'V'"></app-help-vip>
    <app-help-segmentos (result)="resultHelp($event.Segmento)" *ngIf="loadHelp === 'S'"></app-help-segmentos>
    <app-help-tipo-cuartos [virtual]="false" (result)="resultHelp($event.tcuarto)" *ngIf="loadHelp === 'T'">
    </app-help-tipo-cuartos>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>

<ng-template #modalTotales let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h6 class="modal-title">Totales</h6>
    <button class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <kendo-dropdownlist [data]="dsTotales" [(ngModel)]="totalFilter" [textField]="'tdesc'" [valueField]="'total'"
      [valuePrimitive]="true" (valueChange)="changeTotales($event)" name="totalFilter" class="w-100">
    </kendo-dropdownlist>
    <kendo-grid [data]="dataTotalesFiltro" [selectable]="true" [navigable]="true" class="mt-1" style="height: 35vh">
      <ng-template kendoGridToolbarTemplate>
        <div class="text-center">Totales</div>
      </ng-template>
      <kendo-grid-column field="ttTipo" title="Tipo" width="100"></kendo-grid-column>
      <kendo-grid-column field="ttCto" title="# Ctos" width="80" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="ttAd" title="Adultos" width="80" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="ttJun" title="Juniors" width="80" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="ttMen" title="Menores" width="80" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="ttMenP" title="Men C/C" width="80" class="text-right"></kendo-grid-column>
    </kendo-grid>
    <kendo-grid [data]="dataRealesFiltro" [selectable]="true" [navigable]="true" class="mt-1" style="height: 35vh"
      *ngIf="ttInfocia.cvirtual">
      <ng-template kendoGridToolbarTemplate>
        <div class="text-center">Reales</div>
      </ng-template>
      <kendo-grid-column field="ttTipo" title="Tipo" width="100"></kendo-grid-column>
      <kendo-grid-column field="ttCto" title="# Ctos" width="80" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="ttAd" title="Adultos" width="80" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="ttJun" title="Juniors" width="80" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="ttMen" title="Menores" width="80" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="ttMenP" title="Men C/C" width="80" class="text-right"></kendo-grid-column>
    </kendo-grid>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>


<div id="tblExcel" style="display: none;">
  <table id="tbl1" border="2" style="margin-top: 20px;">
    <thead>
      <tr>
        <th>#Folio-Sec</th>
        <th>Nombre</th>
        <th>Hora</th>
        <th>Cuarto</th>
        <th>VIP</th>
        <th>Grupo</th>
        <th>Agencia</th>
        <th>TR</th>
        <th>TIPO</th>
        <th>#Cts</th>
        <th>Adul</th>
        <th>Jun</th>
        <th>Men</th>
        <th>Men C/C</th>
        <th>Noc</th>
        <th>Tarifa</th>
        <th>T</th>
        <th>P</th>
        <th>Mon</th>
        <th>Tarifa Dia</th>
        <th>Fec. Rsrv</th>
        <th>Dep</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of dataComplete">
        <td style="text-align: right;">{{ item.tfolio + '-' + item.tSec }}</td>
        <td>{{ item.tapellido + '-' + item.tnombre }}</td>
        <td>{{ item.tHora | hour }}</td>
        <td>{{ item.Cuarto }}</td>
        <td>{{ item.VIP }}</td>
        <td>{{ item.Grupo }}</td>
        <td>{{ item.Agencia }}</td>
        <td>{{ item.treser }}</td>
        <td>{{ item.tTipo }}</td>
        <td style="text-align: right;">{{ item.tNctos }}</td>
        <td style="text-align: right;">{{ item.tAdultos }}</td>
        <td style="text-align: right;">{{ item.tJunior }}</td>
        <td style="text-align: right;">{{ item.tMenores }}</td>
        <td style="text-align: right;">{{ item.tMenPag }}</td>
        <td style="text-align: right;">{{ item.tNoc }}</td>
        <td>{{ item.Tarifa }}</td>
        <td>{{ item.tTipo }}</td>
        <td>{{ item.Proc }}</td>
        <td>{{ item.Moneda }}</td>
        <td>{{ item.tTdia | currency: 'MXN'}}</td>
        <td>{{ item.tFecRes | date: formatKendo }}</td>
        <td style="text-align: right;">{{ item.tDepPag | currency: 'MXN'}}</td>
      </tr>
      <tr>
        <td></td>
      </tr>
    </tbody>
  </table>
  <table id="tbl2" border="2" *ngIf="totalLlegadas">
    <thead>
      <tr>
        <th>Cuartos: {{ totalLlegadas.ttCto }}</th>
        <th></th>
        <th>F/I: 0</th>
        <th></th>
        <th>Neto: {{ totalLlegadas.ttCto }}</th>
        <th></th>
        <th>Adultos: {{ totalLlegadas.ttAd }}</th>
        <th></th>
        <th>Juniors: {{ totalLlegadas.ttJun }}</th>
        <th></th>
        <th>Menores: {{ totalLlegadas.ttMen }}</th>
        <th></th>
        <th>Men.C/C: {{ totalLlegadas.ttMenP }}</th>
      </tr>
    </thead>
  </table>
</div>